Skip to main content
`Ctrl`+`K`

# MatMFFDCheckPositivity

Checks that all entries in U + h*a are positive or zero, decreases h until this is satisfied for a `MATMFFD` matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMFFDCheckPositivity(void *dummy, Vec U, Vec a, PetscScalar *h)

Logically Collective

## Input Parameters

- U - base vector that is added to

- a - vector that is added

- h - scaling factor on a

- dummy - context variable (unused)

## Options Database Keys

- -mat_mffd_check_positivity - Insure that U + h*a is nonnegative

## Note

This is rarely used directly, rather it is passed as an argument to `MatMFFDSetCheckh()`

## See Also

Matrices, `Mat`, `MATMFFD`, `MatMFFDSetCheckh()`

## Level

advanced

## Location

src/mat/impls/mffd/mffd.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages